clear
close all
clc

set(0,'defaultlinelinewidth',2)
set(0,'defaultaxesfontsize',14)
set(0,'defaulttextfontsize',14)

%%%%%%%%%%%%%%%%% CONTROL PANEL %%%%%%%%%%%%%%%%%%%%%%%%

%Suffissi da mettere al nome del file da stampare
category = '_C3';         %C1 C2 C3
data_set = '';         %NF or empty

%%%%%%%%%%%%%%%%% CONTROL PANEL %%%%%%%%%%%%%%%%%%%%%%%%

%Setting the location where to save and the figure names
path = 'C:\Users\NICAR\OneDrive\Desktop'; %Please change the path according to where you want to change
base_name_fig1 = '\fig_confusion_matrix';

ext_jpg = '.jpg'; %Extension to save the picture as jpg
ext_txt = '.txt'; %Extension to load files as .txt
ext_dat = '.mat'; %Extension to load files as .mat

%Name of the figure
full_name_fig1 = [path base_name_fig1 category data_set ext_jpg];

%%%%%% Input file settings %%%%%%
name_labels_test = ['labels' category '_TEST' data_set ext_txt];
name_labels_predictions = ['predicted_labels' category ext_dat];


%Loading labels TEST SET
fileName = name_labels_test; %Missing and needs to be created
FID = fopen(fileName);
data = textscan(FID,'%s','Delimiter',{'\n'});
ground_truth_test_labels = string(data{:});
fclose(FID);

%Loading labels predicted for the TEST SET
tmp = load(name_labels_predictions);
predictions_test_labels = tmp.labels_predictions;
predictions_test_labels = string(predictions_test_labels);


%Confusion matrix
cm = confusionchart(ground_truth_test_labels,predictions_test_labels,'RowSummary',...
    'row-normalized','ColumnSummary','column-normalized');




