clear
close all
clc


%Input simulations' names
fileName = 'input_TRAINING_NF.txt.';
FID = fopen(fileName);
data = textscan(FID,'%s','Delimiter',{','});
sim_codes = string(data{:});
sim_codes = reshape( sim_codes , 3 , [])';
fclose(FID);

num_inputs = size(sim_codes,1);

for kk = 1:num_inputs
    current_row = sim_codes(kk,:);
    input_names(kk,1) = strcat(current_row(1),current_row(2),current_row(3));
end


%Actual simulations' names
D = 'Z:\MATLAB_caruso\TRAINING';

S = dir(fullfile(D,'*.mat')); % specify the file extension to exclude directories
sim_names = strings(5982,1);
num_outputs = size(sim_names,1);

for nn = 1:num_outputs
sim_names(nn) = S(nn).name;
end

match = ["exp_wp_wi_wg","TRAINING_",".mat"];
sim_names = erase(sim_names,match);

not_found = 0;
%Check
for jj = 1:num_outputs
    
    tf = contains(input_names,sim_names(jj));
    pos = find(tf==1);
    if length(pos)>1
        pos = pos(1); %take the first instance of the duplicate
    elseif length(pos) == 1
        
    elseif isempty(pos)
        not_found = not_found + 1;
    end
    
    positions(jj,1) = pos;
end

real_input = input_names(positions);

%Rewrite the input file being sure to match the output simulations

INPUT_TRAINING_SET = str2double(sim_codes(positions,:));
writematrix(INPUT_TRAINING_SET,'AA_NEW_input_TRAINING_NF.txt');

