function [Matrix_N,minOriginalRange,maxOriginalRange] = fun_normalize_range(Matrix_TN,minNewRange,maxNewRange)

   %Normalization part
   maxOriginalRange = max(max(Matrix_TN,[],2)); %Compute the max of the maxs of each row
   minOriginalRange = min(min(Matrix_TN,[],2)); %Compute the min of the mins of each row
   
   %Normalization step
   Matrix_N = minNewRange + ((maxNewRange - minNewRange)*(Matrix_TN - minOriginalRange))./(maxOriginalRange - minOriginalRange);
   

end